#14480 closed defect (fixed)

Unknown game variant for sci

Reported by: cjover-n Owned by: sluicebox
Priority: normal Component: Engine: SCI
Version: Keywords: ega, spanish
Cc: Game: King's Quest 5

Description

The game in 'KQ5\' seems to be an unknown game variant.

Please report the following data to the ScummVM team at https://bugs.scummvm.org/ along with the name of the game you tried to add and its version, language, etc.:

Matched game IDs for the sci engine: kq5-es-fallback

{"resource.000", 0, "9091979bbdbe9e40b4ff952677bf4d4b", 451270},
{"resource.001", 0, "dd692513f878279fbf07d715dd6ddad6", 571171},
{"resource.002", 0, "79347fba1de905023dc1549e9676e53b", 618015},
{"resource.003", 0, "027f96c38d52276906e67304d9aaf92e", 495375},
{"resource.004", 0, "23af8904376aa72ec45b9936be2d8280", 632343},
{"resource.005", 0, "4a713d8aa31b74529515ea1edd3466ad", 679888},
{"resource.006", 0, "2b54e0487820b79fcc62b72756344555", 677261},
{"resource.007", 0, "3cedf14dff9514409508f394ddbc35e8", 552191},
{"resource.008", 0, "bae4e3022fd09c5cd751e0945f083983", 609429},
{"resource.map", 0, "0dedf9d810ef864cbcc2370edaf19448", 8040},

Change History (2)

comment:1 by cjover-n, 12 months ago

EGA spanish version of King's Quest V seems to be not supported in PC version (if I force adding it appears with "fallback" suffix) and in Miyoo CFW version for Powkiddy Q90 it can't be added at all, but VGA version can. I would like to be able to play the EGA version without errors.

comment:2 by sluicebox, 12 months ago

Component: GUI: TranslationsEngine: SCI
Owner: set to sluicebox
Resolution: fixed
Status: newclosed

Hello! Thanks for reporting this. It is already fixed in the daily builds: https://www.scummvm.org/downloads/#daily

I added this KQ5 version to the detection tables in March, so it will appear in the next release: https://github.com/scummvm/scummvm/commit/bbf2214ddf4a2bbcdfeedcf2b31da3123173c578

That said, the "fallback" detection should work just fine in the current release (2.7.0), even though you get this message when adding the game, For the other platforms you mentioned, you're using an older version than 2.7.0. Upgrade and you can use those too.

Note: See TracTickets for help on using tickets.